## com.bbn.openmap.gui.dock
Class DockWrapper.MouseHandler

    java.lang.Object
      javax.swing.event.MouseInputAdapter
          com.bbn.openmap.gui.dock.DockWrapper.MouseHandler

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.MouseInputListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener

Enclosing class:
  DockWrapper

protected class DockWrapper.MouseHandler
extends javax.swing.event.MouseInputAdapter

Constructor Summary
`protected` `DockWrapper.MouseHandler()`

Method Summary
`void` `mouseExited(java.awt.event.MouseEvent e)`
`void` `mouseMoved(java.awt.event.MouseEvent e)`
`void` `mousePressed(java.awt.event.MouseEvent e)`
`void` `mouseReleased(java.awt.event.MouseEvent e)`

Methods inherited from class javax.swing.event.MouseInputAdapter
`mouseClicked, mouseDragged, mouseEntered`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DockWrapper.MouseHandler

    protected DockWrapper.MouseHandler()

Method Detail

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details